i
# coding: utf-8

# On charge un fichier .txt a l'aide de numpy

# In[1]:


import matplotlib.pyplot as plt
import numpy as np


# In[2]:


x= np.loadtxt('signal.txt')
N=x.size

plt.figure()
plt.plot(x)
plt.show()


# In[3]:


# on charge la librairie ondelettes
import pywt

ond='haar'
# on calcule l'ondelette de base
wavelet = pywt.Wavelet(ond)


# On calcule les coefficients du signal sur la base d'ondelettes à l'aide de la librairie pywt

# In[4]:


#on calcule les coefficients de decomposition dans la base d'ondelette
Ca,Cd = pywt.dwt(x, wavelet, mode = "periodization")


# On trace les coefficients en ondelettes calculés avec l'ondelette de Haar 

# In[5]:


coeffs=np.concatenate((Ca,Cd))
plt.figure()
plt.plot(coeffs)
plt.show()


# On réitère l'opération sur les coefficients d'approximation.

# In[6]:


Caa,Cad=pywt.dwt(Ca, wavelet, mode = "periodization")

coeffs=np.concatenate((Caa,Cad,Cd))
plt.figure()
plt.plot(coeffs)
plt.show()

